## DROP SYNONYM Statement (drop_synonym_statement)

The DROP SYNONYM statement (drop_synonym_statement) drops a synonym (alternative name) of a table name.

### Syntax

<drop_synonym_statement> ::=
DROP [PUBLIC] SYNONYM [<schema_name>.]<synonym_name>

### Explanation

The specified synonym name must identify an existing synonym of the current user. Only the name of the current user is permitted as the schema name.

If PUBLIC is specified, the synonym identified by the synonym name must be defined as PUBLIC.

The synonym definition is removed from the set of table name synonyms available to the user.